Package org.bukkit.command

# Interface TabCompleter

All Known Subinterfaces:
  `Plugin`, `TabExecutor`

All Known Implementing Classes:
  `JavaPlugin`, `PluginBase`

public interface TabCompleter
Represents a class which can suggest tab completions for commands.

## Method Summary

Modifier and Type
Method
Description
`@Nullable List<String>`
`onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args)`
Requests a list of possible completions for a command argument.

## Method Details

### onTabComplete

@Nullable @Nullable List<String> onTabComplete(@NotNull @NotNull CommandSender sender, @NotNull @NotNull Command command, @NotNull @NotNull String label, @NotNull @NotNull String[] args)
Requests a list of possible completions for a command argument.

Parameters:
  `sender` - Source of the command. For players tab-completing a command inside of a command block, this will be the player, not the command block.
  `command` - Command which was executed
  `label` - Alias of the command which was used
  `args` - The arguments passed to the command, including final partial argument to be completed
Returns:
  A List of possible completions for the final argument, or null to default to the command executor